package de.ivu.elect.was.exchange.kerg;

import de.ivu.elect.business.ergebnis.control.ErgebnisDaten;
import de.ivu.elect.business.ergebnis.entity.Stimmabgabeart;
import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;
import de.ivu.elect.business.gruppe.entity.Gruppe;

/**
 *  on 26.05.2015.
 */
public class UnGueltigeKergGruppeContainer extends  AbstractKergGruppeContainer<Gruppe> {

  protected UnGueltigeKergGruppeContainer(ErgebnisDaten ergebnisDaten, Gruppe gruppe, Wahldurchfuehrungsgebiet gebiet, Stimmabgabeart stimmabgabeart) {
    super(ergebnisDaten, gruppe, gebiet, stimmabgabeart);
  }

  @Override
  protected Long getErstStimmenAktuell() {
    return getErgebnisDaten().getErststimmenAktuellUngueltige(getGebiet(), getStimmabgabeart());
  }

  @Override
  protected Long getErstStimmenVorperiode() {
    return getErgebnisDaten().getErststimmenVorperiodeUngueltige(getGebiet(), getStimmabgabeart());
  }

  @Override
  protected Long getZweitStimmenAktuell() {
    return getErgebnisDaten().getZweitstimmenAktuellUngueltige(getGebiet(), getStimmabgabeart());
  }

  @Override
  protected Long getZweitStimmenVorperiode() {
    return getErgebnisDaten().getZweitstimmenVorperiodeUngueltige(getGebiet(), getStimmabgabeart());
  }
}
